package com.hongyegroup.cpt_auths.router

import com.guadou.cs_router.auth.IAuthComponentServer
import com.hongyegroup.cpt_auths.ui.ChooseAuthActivity
import com.hongyegroup.cpt_auths.ui.ResetPasswordActivity
import io.github.prototypez.appjoint.core.ServiceProvider

@ServiceProvider
class AuthComponentImpl : IAuthComponentServer {

    override fun startChooseRoleActivity() {
        ChooseAuthActivity.startInstance()
    }

    override fun startResetPasswordActivity(isFromBusiness: Boolean, isForgot: Boolean) {
        ResetPasswordActivity.startInstance(isFromBusiness, isForgot)
    }

}